unit uPluginTiposIVA;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCTiposIVA = interface(IInterface)
    ['{8702CD01-F7E8-4388-9EA1-47620B35DEE6}']
  end;

  TPluginTiposIVA = class(TModuleController, IMCTiposIVA)
    actTiposIVA: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    TiposIVA1: TMenuItem;
    procedure actTiposIVAExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uTiposIVAController, uBizTiposIVA, uTiposIVAViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginTiposIVA.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginTiposIVA.actTiposIVAExecute(Sender: TObject);
var
  ATiposIVAController : ITiposIVAController;
  ATiposIVA : IBizTipoIVA;
begin
  ATiposIVAController := TTiposIVAController.Create;
  ATiposIVA := (ATiposIVAController.BuscarTodos as IBizTipoIVA);
  ATiposIVAController.VerTodos(ATiposIVA);
end;

constructor TPluginTiposIVA.Create(AOwner: TComponent);
begin
  inherited;
  uTiposIVAViewRegister.RegisterViews;
end;

destructor TPluginTiposIVA.Destroy;
begin
  uTiposIVAViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginTiposIVA);

finalization
  UnRegisterModuleClass(TPluginTiposIVA);

end.
